package com.diagbot.exception;

/**
 * @Description: 本服务错误码
 * 系统码(3位) + 等级码(1位) + 4位顺序号
 * 系统码 通用码 000；用户中心 100； 管理中心 200；
 * @author: gaodm
 * @time: 2018/9/10 11:11
 */
public enum ServiceErrorCode implements ErrorCode {
    FILE_UPLOAD_ERROE("12020001", "文件上传出错"),
    FILE_DELETE_ERROR("12020002", "远程删除文件出错"),
    FILE_MAX_SIZE_LIMIT("12020003","文件大小超出限制");

    private String code;
    private String msg;


    ServiceErrorCode(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }


    public String getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    public static ServiceErrorCode codeOf(String code) {
        for (ServiceErrorCode state : values()) {
            if (state.getCode() == code) {
                return state;
            }
        }
        return null;
    }
}
